Skip to main content
GET
/
v1
/
markets
/
stats
Markets Stats
curl --request GET \
  --url https://api.polydata.live/v1/markets/stats
{
  "data.total_rows": 123,
  "data.unique_markets": 123,
  "data.unique_tokens": 123,
  "data.earliest": "<string>",
  "data.latest": "<string>",
  "data.storage_size": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.polydata.live/llms.txt

Use this file to discover all available pages before exploring further.

Returns overall stats about the dataset. No authentication required.

Response

data.total_rows
number
Total ticks in the database
data.unique_markets
number
Distinct markets
data.unique_tokens
number
Distinct outcome tokens
data.earliest
string
Earliest tick timestamp
data.latest
string
Latest tick timestamp
data.storage_size
string
Compressed storage size

Example

curl https://api.polydata.live/v1/markets/stats
{
  "success": true,
  "data": {
    "total_rows": 27265974786,
    "unique_markets": 29907,
    "unique_tokens": 59811,
    "earliest": "2026-03-17 14:31:53.361",
    "latest": "2026-04-28 22:59:59.923",
    "storage_size": "186.32 GiB"
  }
}